/*
 * File : timerT1.C
 *
 * Description : This file contains the method definitions for the
 *	timerT1 class.
 */

#include "trace.h"
#include "errorCodes.h"
#include "dllayer.h"
#include "timerT1.h"

DEFINE_TRACE_MODULE(timerT1Module,"timerT1");

/*
 * Function : timerT1()
 *
 * Description : This is the constructor. It initializes data members
 *  and invokes the base class constructor.
 */

timerT1::timerT1(int event, dllayer *dl, int timeout) :
_event(event), _dl(dl), timerHandler(timeout)
{
	TRACE(timerT1Module,1,("Starting T1. dl: %x timeout %d\n",
		_dl, timeout));
}
/*
 * Function : ~timerT1()
 *
 * Description : Destructor. Does nothing.
 */

timerT1::~timerT1()
{
}
/*
 * Function : EventCallback()
 *
 * Description : This is invoked when the timer expires. It
 * calls ProcessEvent method on the dllayer object with the
 * stored event type.
 */

void
timerT1::EventCallback()
{
	TRACE(timerT1Module,1,("Timer T1 expired : %x\n",_dl));
	int errorCode = codeSuccessful;
	_dl->ProcessEvent(_event,errorCode);
}


