/*
 * File : types.h
 *
 * Description : This file contains some constants, enums and 
 * extern variable declarations
 */

#ifndef _types_h_
#define _types_h_

#define STDIN_FILENO 0

enum LinkStatus {DOWN, UP}; 
enum Boolean {FALSE = 0, TRUE}; 

#define MAXLINE 81

// Value for timer T1 - this can be set
// from the UI. Default value in file
// nwlayer.C set to 10

extern int T1;

// Value for number of retransmissions - this
// can be set from the UI. Default value in
// file nwlayer.C set to 10

extern int N2;

const int MODULO = 8;	// Modulo of sliding window
const int K = 7;		// Max. number of outstanding I-frames



// Values for reason code in DL_ResetInd, DL_DisconnectInd
// primitives

const int peerReset 		= 		0;
const int internalError 	= 		1;
const int peerDisconnect 	= 		2;
const int noPeerResponse 	= 		3;


// Maximum I-frame length - can be set from the UI
// Default set in file nwlayer.C to 200.

extern int MaxIframeLength;


// Maximum packet size - can be set from the UI
// Default set in file nwlayer.C to 200.

extern int MaxPacketSize;

const char addressA = 0x03; // DTE to DCE response address
const char addressB = 0x01; // DTE to DCE command address


// FRMR conditions

enum FrmrConditionType { W=1, X = 2, Y = 4, Z = 8 };

#endif
